# std::match_results<BidirIt,Alloc>::match_results

From cppreference.com
< cpp‎ | regex‎ | match results

match_results() : match_results(Allocator()) { } | (1) | (since C++11)
explicit match_results( const Allocator& a ); | (2) | (since C++11)
match_results( const match_results& rhs ); | (3) | (since C++11)
match_results( match_results&& rhs ) noexcept; | (4) | (since C++11)

1) Default-constructor. Constructs a match result with no established result state (ready() != true).
2) Constructs a match result with no established result state (ready() != true) using a copy of `a` as the allocator.
3) Copy-constructor. Constructs a match result with a copy of `rhs`.
4) Move-constructor. Constructs a match result with the contents of `rhs` using move semantics. `rhs` is in valid, but unspecified state after the call.

### Parameters

a | - | allocator to use for all memory allocations of this container
rhs | - | another match_result to use as source to initialize the match_result with

### Exceptions

1-2) (none)

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
P0935R0 | C++11 | default constructor was explicit | made implicit

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/match_results&oldid=102774"